/*!
 * WebFormJS
 * Version  : 0.1.33
 * License  : Commercial - exlusive for use by NucleusCRM customers.
 * Copyright: 2020 - 2021 NucleusCRM LLC
 * Web: https://nucleuscrm.com
 */

var webformid;
var webformkey;
 
let params = 
{
		name: "webform-name",
		description: "webform-description",
		emailwork: "webform-emailwork",
		emailprivate: "webform-emailprivate",
		phonemobile: "webform-phonemobile",
		phoneprivate: "webform-phoneprivate",	
		phonework: "webform-phonework",
		officeaddress: "webform-officeaddress",
		whatsapp: "webform-whatsapp",
		web: "webform-web",
		facebook: "webform-facebook",
		twitter: "webform-twitter"
};

function webformjs_send(event)
{
	event.preventDefault();
	document.getElementById(webformid).removeEventListener(event, webformjs_send, false);
	
	let sendparams = {};
	var poststring = "";
	
	for (let value of Object.keys(params)) 
	{
		var elms = document.getElementsByClassName(params[value]);
		
		for ( var i = 0, len = elms.length; i < len; i++ ) 
		{
			if (typeof elms[i].value != 'undefined' && elms[i].value.length > 0)
			{
				if (typeof sendparams[value] == 'undefined'){ sendparams[value] = ''; }
				sendparams[value] += ' '+elms[i].value;
			}
		}
	}
	
	if (Object.keys(sendparams).length > 0)
	{
		const XHR = new XMLHttpRequest();
		let urlEncodedData = "",
			urlEncodedDataPairs = [],
		name;
		
		urlEncodedDataPairs.push( encodeURIComponent('key') + '=' + encodeURIComponent(webformkey) );
		
		for (let value of Object.keys(sendparams)) 
		{
			urlEncodedDataPairs.push( encodeURIComponent( value ) + '=' + encodeURIComponent( sendparams[value] ) );
		}
		
		urlEncodedData = urlEncodedDataPairs.join( '&' ).replace( /%20/g, '+' );
		
		XHR.addEventListener( 'load', function(event) {

			document.getElementById(webformid).submit();
		} );

		XHR.addEventListener( 'error', function(event) {

			document.getElementById(webformid).submit();
		} );
	
		XHR.open('POST', 'https://api.nucleuscrm.net/webforms' );
		XHR.setRequestHeader( 'Content-Type', 'application/x-www-form-urlencoded' );
		XHR.send(urlEncodedData);
	}

}
 
 
function webformjs_init(formid,key)
{
	var webform = document.getElementById(formid);
	webformid = formid;
	webformkey = key;
	
	if (webform)
	{
		addEventListener("submit", webformjs_send, false); 
	}
}